import type { FC } from 'react';
export type TFolder = {
    name: string;
    parent: string | null;
};
type FolderContextType = {
    folderName: string | null;
    parentName: string | null;
};
export declare const FolderContext: import("react").Context<FolderContextType>;
/**
 * @description By wrapping a <Composition /> inside a <Folder />, you can visually categorize it in your sidebar, should you have many compositions.
 * @see [Documentation](https://www.remotion.dev/docs/folder)
 */
export declare const Folder: FC<{
    name: string;
    children: React.ReactNode;
}>;
export {};
