/**
 * @description The function array containing all files in the public/ folder. You can reference them by using staticFile().
 * @see [Documentation](https://www.remotion.dev/docs/getstaticfiles)
 */
export declare const getStaticFiles: () => StaticFile[];
export type StaticFile = {
    /**
     * A string that you can pass to the `src` attribute of an `<Audio>`, `<Img>` and `<Video>` element.
     */
    src: string;
    /**
     * The filepath of the file, relative to the public folder.
     * Example: `subfolder/image.png`
     */
    name: string;
    sizeInBytes: number;
    /**
     * UNIX timestamp in milliseconds
     */
    lastModified: number;
};
