export declare const usePreload: (src: string) => string;
type FetchAndPreload = {
    free: () => void;
    waitUntilDone: () => Promise<string>;
};
export type PrefetchOnProgress = (options: {
    totalBytes: number | null;
    loadedBytes: number;
}) => void;
/**
 * @description When you call the preFetch() function, an asset will be fetched and kept in memory so it is ready when you want to play it in a <Player>.
 * @see [Documentation](https://www.remotion.dev/docs/prefetch)
 */
export declare const prefetch: (src: string, options?: {
    method?: 'blob-url' | 'base64';
    contentType?: string;
    onProgress?: PrefetchOnProgress;
}) => FetchAndPreload;
export {};
