import type { FC, PropsWithChildren } from 'react';
import type { LayoutAndStyle, SequenceProps } from '../Sequence.js';
type SeriesSequenceProps = PropsWithChildren<{
    durationInFrames: number;
    offset?: number;
    className?: string;
} & Pick<SequenceProps, 'layout' | 'name'> & LayoutAndStyle>;
declare const SeriesSequence: import("react").ForwardRefExoticComponent<SeriesSequenceProps & import("react").RefAttributes<HTMLDivElement>>;
/**
 * @description with this component, you can easily stitch together scenes that should play sequentially after another.
 * @see [Documentation](https://www.remotion.dev/docs/series)
 */
declare const Series: FC<{
    children: React.ReactNode;
}> & {
    Sequence: typeof SeriesSequence;
};
export { Series };
