import React from 'react';
import type { RemotionMainVideoProps } from './props.js';
/**
 * @description allows you to include a video file in your Remotion project. It wraps the native HTMLVideoElement.
 * @see [Documentation](https://www.remotion.dev/docs/video)
 */
export declare const Video: React.ForwardRefExoticComponent<Omit<Omit<React.DetailedHTMLProps<React.VideoHTMLAttributes<HTMLVideoElement>, HTMLVideoElement>, "nonce" | "onEnded" | "autoPlay" | "controls"> & {
    name?: string | undefined;
    volume?: import("../volume-prop.js").VolumeProp | undefined;
    playbackRate?: number | undefined;
    acceptableTimeShiftInSeconds?: number | undefined;
    allowAmplificationDuringRender?: boolean | undefined;
    toneFrequency?: number | undefined;
} & RemotionMainVideoProps & {
    /**
     * @deprecated For internal use only
     */
    stack?: string | undefined;
}, "ref"> & React.RefAttributes<HTMLVideoElement>>;
