import type { StaticFile } from './get-static-files';
type WatcherCallback = (newData: StaticFile | null) => void;
export declare const WATCH_REMOTION_STATIC_FILES = "remotion_staticFilesChanged";
export type WatchRemotionStaticFilesPayload = {
    files: StaticFile[];
};
/**
 * @description Watch for changes in a specific static file.
 * @param {string} fileName - The name of the static file to watch for changes.
 * @param {WatcherCallback} callback - A callback function to be called when the file changes.
 * @returns {{cancel: () => void}} A function that can be used to cancel the event listener.
 * @see [Documentation](https://www.remotion.dev/docs/watchstaticfile)
 */
export declare const watchStaticFile: (fileName: string, callback: WatcherCallback) => {
    cancel: () => void;
};
export {};
